Create report
Creates a new report.
Request
POST
http://<хост_on-premises>/rpc/createReport
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"data": {
"counter": 1,
"salt": "example",
"version": 1,
"slides": [
{
"id": "example"
}
],
"slideGroups": [
{
"id": "example",
"items": [
null
],
"layout": [
null
],
"aliases": {},
"connections": [
null
]
}
],
"slidesOrder": [
"example"
],
"visualSettings": {
"backgroundColor": "example",
"backgroundSettings": {
"color": null
},
"borderRadius": 0.5,
"widgetsSettings": {
"borderRadius": 0.5,
"internalMarginsEnabled": true
},
"theme": "example",
"contrast": "example",
"format": "example",
"orientation": "example",
"displayVisualGrid": "example",
"displayDefaultFooter": "example",
"footerText": "example",
"displayLink": "example",
"footerLink": "example",
"displayOnFirstPage": "example",
"displayPageNumber": "example"
},
"slideSettings": {},
"settings": {
"enableAssistant": true,
"dependentSelectors": true,
"loadOnlyVisibleCharts": true
},
"supportDescription": "example",
"accessDescription": "example"
},
"meta": {},
"annotation": {
"description": "example"
},
"includePermissions": true,
"workbookId": "example",
"name": "example"
}
All of 2 types
-
Type: object
data
Type: ReportData
Example
{ "counter": 1, "salt": "example", "version": 1, "slides": [ { "id": "example" } ], "slideGroups": [ { "id": "example", "items": [ {} ], "layout": [ { "i": "example", "h": 0.5, "w": 0.5, "x": 0.5, "y": 0.5, "parent": "example" } ], "aliases": { "default": [ [ null, null ] ] }, "connections": [ { "from": "example", "to": "example", "kind": "ignore" } ] } ], "slidesOrder": [ "example" ], "visualSettings": { "backgroundColor": "example", "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5, "widgetsSettings": { "borderRadius": 0.5, "internalMarginsEnabled": true }, "theme": "example", "contrast": "example", "format": "example", "orientation": "example", "displayVisualGrid": "example", "displayDefaultFooter": "example", "footerText": "example", "displayLink": "example", "footerLink": "example", "displayOnFirstPage": "example", "displayPageNumber": "example" }, "slideSettings": {}, "settings": { "enableAssistant": true, "dependentSelectors": true, "loadOnlyVisibleCharts": true }, "supportDescription": "example", "accessDescription": "example" }meta
Type: DashboardMeta
Example
{}annotation
Type: EntryAnnotationArg
Example
{ "description": "example" }includePermissions
Type: boolean
Example
{ "data": { "counter": 1, "salt": "example", "version": 1, "slides": [ { "id": "example" } ], "slideGroups": [ { "id": "example", "items": [ null ], "layout": [ {} ], "aliases": { "default": [ null ] }, "connections": [ {} ] } ], "slidesOrder": [ "example" ], "visualSettings": { "backgroundColor": "example", "backgroundSettings": { "color": {} }, "borderRadius": 0.5, "widgetsSettings": { "borderRadius": 0.5, "internalMarginsEnabled": true }, "theme": "example", "contrast": "example", "format": "example", "orientation": "example", "displayVisualGrid": "example", "displayDefaultFooter": "example", "footerText": "example", "displayLink": "example", "footerLink": "example", "displayOnFirstPage": "example", "displayPageNumber": "example" }, "slideSettings": {}, "settings": { "enableAssistant": true, "dependentSelectors": true, "loadOnlyVisibleCharts": true }, "supportDescription": "example", "accessDescription": "example" }, "meta": {}, "annotation": { "description": "example" }, "includePermissions": true } -
Type: EntryLocationIdentifiers
Example
{ "workbookId": "example", "name": "example" }
ReportData
|
Name |
Description |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
counter |
Type: integer Counter used to generate item identifiers. Min value: |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
salt |
Type: string Salt used to generate item identifiers. Min length: Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
slideGroups |
Type: object[]
Slide groups in the report. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
slides |
Type: object[]
Report slides. Min items: Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
slideSettings |
Type: object
Visual settings keyed by slide identifier. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
slidesOrder |
Type: string[] Slide identifiers in display order. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
version |
Type: number Report schema version. Const: |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
visualSettings |
Type: object
Default report visual settings. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
accessDescription |
Type: string Custom message shown when access is denied. Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
settings |
Type: object
Report behavior settings. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
supportDescription |
Type: string Custom message shown when contacting support. Example: |
Example
{
"counter": 1,
"salt": "example",
"version": 1,
"slides": [
{
"id": "example"
}
],
"slideGroups": [
{
"id": "example",
"items": [
{}
],
"layout": [
{
"i": "example",
"h": 0.5,
"w": 0.5,
"x": 0.5,
"y": 0.5,
"parent": "example"
}
],
"aliases": {
"default": [
[
null,
null
]
]
},
"connections": [
{
"from": "example",
"to": "example",
"kind": "ignore"
}
]
}
],
"slidesOrder": [
"example"
],
"visualSettings": {
"backgroundColor": "example",
"backgroundSettings": {
"color": {
"light": "example",
"dark": "example"
}
},
"borderRadius": 0.5,
"widgetsSettings": {
"borderRadius": 0.5,
"internalMarginsEnabled": true
},
"theme": "example",
"contrast": "example",
"format": "example",
"orientation": "example",
"displayVisualGrid": "example",
"displayDefaultFooter": "example",
"footerText": "example",
"displayLink": "example",
"footerLink": "example",
"displayOnFirstPage": "example",
"displayPageNumber": "example"
},
"slideSettings": {},
"settings": {
"enableAssistant": true,
"dependentSelectors": true,
"loadOnlyVisibleCharts": true
},
"supportDescription": "example",
"accessDescription": "example"
}
DashboardMeta
Type: object | null
Example
{}
EntryAnnotationArg
|
Name |
Description |
|
description |
Type: string Description of the entry. Example: |
Example
{
"description": "example"
}
EntryLocationIdentifiers
|
Name |
Description |
|
name |
Type: string Entry name when creating the entry in a workbook. Example: |
|
workbookId |
Type: string ID of the workbook where the entry should be created. Example: |
Example
{
"workbookId": "example",
"name": "example"
}
Responses
200 OK
Response
Body
application/json
{
"entry": {
"annotation": {
"description": "example"
},
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"revUpdatedBy": "example",
"revUpdatedAt": "example",
"data": {
"counter": 1,
"salt": "example",
"version": 1,
"slides": [
{
"id": "example"
}
],
"slideGroups": [
{
"id": "example",
"items": [
null
],
"layout": [
null
],
"aliases": {},
"connections": [
null
]
}
],
"slidesOrder": [
"example"
],
"visualSettings": {
"backgroundColor": "example",
"backgroundSettings": {
"color": null
},
"borderRadius": 0.5,
"widgetsSettings": {
"borderRadius": 0.5,
"internalMarginsEnabled": true
},
"theme": "example",
"contrast": "example",
"format": "example",
"orientation": "example",
"displayVisualGrid": "example",
"displayDefaultFooter": "example",
"footerText": "example",
"displayLink": "example",
"footerLink": "example",
"displayOnFirstPage": "example",
"displayPageNumber": "example"
},
"slideSettings": {},
"settings": {
"enableAssistant": true,
"dependentSelectors": true,
"loadOnlyVisibleCharts": true
},
"supportDescription": "example",
"accessDescription": "example"
},
"entryId": "example",
"key": "example",
"scope": "report",
"hidden": true,
"meta": {},
"publishedId": "example",
"savedId": "example",
"revId": "example",
"tenantId": "example",
"type": "",
"workbookId": "example",
"collectionId": "example",
"version": 1,
"public": false,
"links": {}
},
"permissions": {
"execute": true,
"read": true,
"edit": true,
"admin": true
}
}
|
Name |
Description |
|
entry |
Type: ReportV1 Example
|
|
permissions |
Type: EntryPermissions Example
|
EntryAnnotation
Type: object | null
Example
{
"description": "example"
}
ReportV1
|
Name |
Description |
|
collectionId |
Type: string | null Example: |
|
createdAt |
Type: string Example: |
|
createdBy |
Type: string Example: |
|
data |
Type: ReportData Example
|
|
entryId |
Type: string Example: |
|
hidden |
Type: boolean |
|
key |
Type: string Example: |
|
meta |
Type: DashboardMeta Example
|
|
public |
Type: boolean Const: |
|
publishedId |
Type: string | null Example: |
|
revId |
Type: string Example: |
|
savedId |
Type: string Example: |
|
scope |
Type: string Const: Example: |
|
tenantId |
Type: string Example: |
|
type |
Type: string Const: `` Example: |
|
updatedAt |
Type: string Example: |
|
updatedBy |
Type: string Example: |
|
version |
Type: number Const: |
|
workbookId |
Type: string | null Example: |
|
annotation |
Type: EntryAnnotation Example
|
|
links |
Type: object | null Example
|
|
revUpdatedAt |
Type: string Date and time when the current revision was last updated. Example: |
|
revUpdatedBy |
Type: string ID of the user who last updated the current revision. Example: |
Example
{
"annotation": {
"description": "example"
},
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"revUpdatedBy": "example",
"revUpdatedAt": "example",
"data": {
"counter": 1,
"salt": "example",
"version": 1,
"slides": [
{
"id": "example"
}
],
"slideGroups": [
{
"id": "example",
"items": [
null
],
"layout": [
{}
],
"aliases": {
"default": [
null
]
},
"connections": [
{}
]
}
],
"slidesOrder": [
"example"
],
"visualSettings": {
"backgroundColor": "example",
"backgroundSettings": {
"color": {}
},
"borderRadius": 0.5,
"widgetsSettings": {
"borderRadius": 0.5,
"internalMarginsEnabled": true
},
"theme": "example",
"contrast": "example",
"format": "example",
"orientation": "example",
"displayVisualGrid": "example",
"displayDefaultFooter": "example",
"footerText": "example",
"displayLink": "example",
"footerLink": "example",
"displayOnFirstPage": "example",
"displayPageNumber": "example"
},
"slideSettings": {},
"settings": {
"enableAssistant": true,
"dependentSelectors": true,
"loadOnlyVisibleCharts": true
},
"supportDescription": "example",
"accessDescription": "example"
},
"entryId": "example",
"key": "example",
"scope": "report",
"hidden": true,
"meta": {},
"publishedId": "example",
"savedId": "example",
"revId": "example",
"tenantId": "example",
"type": "",
"workbookId": "example",
"collectionId": "example",
"version": 1,
"public": false,
"links": {}
}
EntryPermissions
|
Name |
Description |
|
admin |
Type: boolean Indicates if there are permissions for admin. |
|
edit |
Type: boolean Indicates if there are permissions to edit. |
|
execute |
Type: boolean Indicates if there are permissions to execute. |
|
read |
Type: boolean Indicates if there are permissions to read. |
Example
{
"execute": true,
"read": true,
"edit": true,
"admin": true
}